{
            "logging" :{
        "appenders": {
            "out" :{
                "type": "file",
                "options":{
                    "file": "gohttpd.log"
                }
            },
            "stdout":{
                "type": "console"
            }
        },
        "categories": {
            "default": {
                "appenders": [ "out" ,"stdout"],
                "level": "debug"
            }
        }
    },
    "admin" : {
        "name": "admin",
        "port" : 8088,
        "username": "admin",
        "password": "admin",
        "directives":[
            "Set-Header Access-Control-Allow-Origin *",
            "Set-Header Access-Control-Allow-Methods GET, POST, PUT, DELETE, OPTIONS",
            "Set-Header Access-Control-Allow-Headers Content-Type, Authorization, Content-Length, X-Requested-With"
        ],
        "paths": [
            {
                "path": "/",
                "root": "./adminui",
                "default": "index.html"
            }
        ]
    },
    "servers":[{
        "port": 3000,
        "name": "cloudops",
        "directives":[
            "Gzip_Response"
        ],
        "paths":[
            {
                "path": "/",
                "upstreams": ["http://192.168.12.174:9880"],
                "directives":["HostSchemas $target"]            
            },
            {
                "path" : "/ssologin",
                "upstreams": ["http://192.168.12.174:9880"],
                "directives":["HostSchemas $target"]
            },
            {
                "path" : "/themes",
                "upstreams": ["http://192.168.12.174:9880"],
                "directives":["HostSchemas $target"]
            },
            {
                "path" : "/security/login",
                "upstreams": ["http://192.168.12.174:9880"],
                "directives":["HostSchemas $target"]
            },
            {
                "path" : "/security/logout",
                "upstreams": ["http://192.168.12.174:9880"],
                "directives":["HostSchemas $target"]
            },
            {
                "path" : "/v1/relational/assets",
                "upstreams": ["http://192.168.12.174:9880"],
                "directives":["HostSchemas $target"]
            },
            {
                "path" : "/platform/version",
                "upstreams": ["http://192.168.12.174:9880"],
                "directives":["HostSchemas $target"]
            },
            {
                "path" : "/v1/patrolrecords",
                "upstreams": ["http://192.168.12.174:9880"],
                "directives":["HostSchemas $target"]
            },
            {
                "path" : "/v1/standingbook",
                "upstreams": ["http://192.168.12.174:9880"],
                "directives":["HostSchemas $target"]
            },
            {
                "path" : "/v1/resource",
                "upstreams": ["http://192.168.12.174:9880"],
                "directives":["HostSchemas $target"]
            },
            {
                "path" : "/v1/config",
                "upstreams": ["http://192.168.12.174:9880"],
                "directives":["HostSchemas $target"]
            },
            {
                "path" : "/v1/workflow",
                "upstreams": ["http://192.168.12.174:9880"],
                "directives":["HostSchemas $target"]
            },
            {
                "path":"/token/check",
                "upstreams": ["http://192.168.12.174:9880"],
                "directives":["HostSchemas $target"]
            },
            {
                "path" : "/v1/messages",
                "upstreams": ["http://192.168.12.174:9880"],
                "directives":["HostSchemas $target"]
            },
            {
                "path" : "/cloudops-state/",
                "upstreams": ["http://192.168.12.174:9880"],
                "directives":["HostSchemas $target"]
            },
            {
                "path":"/socket.io/",
                "upstreams": ["http://192.168.12.174:9880"],
                "directives":["HostSchemas $target"]
            },
            {
                "path" : "/thing",
                "upstreams": ["http://192.168.12.174:9880"],
                "directives":[
                    "HostSchemas $target",
                    "HeaderOrigin",
                    "RemoveCookie token"
                ]
            }
        ]
    }]
}